[Mac] Important info for Mac 10.5 users

Solved!
Reply

[Mac] Important info for Mac 10.5 users

Jude
Spotify Legend

Every so often improvements that we need to make to the Spotify push the application beyond the capabilities of some older computers or operating systems.

The next update to Spotify desktop will affect Macs running OS X versions earlier than earlier than 10.6 We’re really sorry if you’re affected by this change.

 

Will you be able to continue to be able to use Spotify ?

 

Yes. For some time to come you will be able to use Spotify on your OS X 10.5. However, the Spotify application won't receive any more updates.

 

Ultimately, Spotify will cease to be supported on 10.5, but not just yet. As an example, We had to "deprecate" Mac OS X 10.4 in a similar way this time last year, but the unupdated application should still work on those systems.

1 ACCEPTED SOLUTION

Accepted Solutions
Solution!

Re: [Mac] Important info for Mac 10.5 users

Community Manager
Community Manager

Folks, we've now resolved this issue.

Here's how to get the right Spotify version for you:

  1. Make sure you remove your current Spotify app. Instructions can be found here.
  2. Download the "new" version from either our download page or by using this direct link
  3. Install Spotify-0.8.5.dmg
  4. Run Spotify
This version should no longer try to automatically update your Spotify app.

If you still experience any issues please make sure to have a look at our Mac-specific troubleshooting guide.
Community Ergo Sum
29 Replies

Re: [Mac] Important info for Mac 10.5 users

Rorey
Spotify Legend

[Update - 27.3.2013]

 

Hi everyone,

 

Many of you have had problems with Spotify for Mac OS X 10.5. We no longer support Spotify on this operating system which we announced back in November here as a "heads up".

 

However, we've noticed that many folks have been updating regardless which should not be the case. Our intention was to let anyone using Mac OS X10.5 continue using a "legacy" version of Spotify. In any case, the folks who were using 10.5 were updated, and in many cases these customers have experienced crashes with the newest version of the application (Spotify version 0.8.8. at the time of writing).

 

To make a long story short, we messed up in updating folks who should not have been updated and we're sorry. We plan on fixing the problem of Spotify updating to the latest version for Mac OSX 10.5 users and we're working on it as I write this. If you're a person who has already upgraded and the application is crashing, we're looking into a solution and we hope to have an update shortly.

 

Warm regards from your humble community manager,

 

Rorey 

Solution!

Re: [Mac] Important info for Mac 10.5 users

Community Manager
Community Manager

Folks, we've now resolved this issue.

Here's how to get the right Spotify version for you:

  1. Make sure you remove your current Spotify app. Instructions can be found here.
  2. Download the "new" version from either our download page or by using this direct link
  3. Install Spotify-0.8.5.dmg
  4. Run Spotify
This version should no longer try to automatically update your Spotify app.

If you still experience any issues please make sure to have a look at our Mac-specific troubleshooting guide.
Community Ergo Sum

Re: [Mac] Important info for Mac 10.5 users

CapitaineFlamme
Newbie

It works, I am back in the game on good old  Mac OS 10.5.8 ! Thank you for the support !

Re: [Mac] Important info for Mac 10.5 users

AbsolutelyNoFB
Roadie

@Per @Spotify

 

Good job. I'm disappointing things happened the way they did with the auto-update, but glad to see that Spotify did end up doing the right thing for their OS X 10.5 customers.

Re: [Mac] Important info for Mac 10.5 users

sidechained
Casual Listener

It was lousy that it came to cutting older versions/computers off.

 

But, well done for turning it around so quickly and getting us back in the game.

Re: [Mac] Important info for Mac 10.5 users

PetronellaT
Casual Listener

Likewise - a shame we were cut off but pleased it was resolved so quickly, if only Adobe and Google Chrome would be so kind.. :) 

Re: [Mac] Important info for Mac 10.5 users

Vinny1941
Casual Listener

This won't work on my Mac which is a G4iMac running OSX 10.5.8

The program is showing as an Intel based one and "not supported on this architecture".

Ideas please!

Thanks

Re: [Mac] Important info for Mac 10.5 users

Peter__
Community Legend

@Vinny1941 wrote:

This won't work on my Mac which is a G4iMac running OSX 10.5.8

The program is showing as an Intel based one and "not supported on this architecture".

Ideas please!

Thanks


Is your Mac not intel based? 

 

If so, there might be a few clients in this topic which might work for you. 

 

Peter

Peter
Spotify Community Mentor and Troubleshooter

Spotify Last.FM Twitter LinkedIn Meet Peter Rock Star Jam 2014


If this post was helpful, please add kudos below!

Re: [Mac] Important info for Mac 10.5 users

brudy
Roadie

@Peter wrote:

@Vinny1941 wrote:

This won't work on my Mac which is a G4iMac running OSX 10.5.8

The program is showing as an Intel based one and "not supported on this architecture".

Ideas please!

Thanks


Is your Mac not intel based? 

 

If so, there might be a few clients in this topic which might work for you. 

 

Peter


Peter, His imac has the older powerPC processor from before the pre-Intel switch.

SUGGESTED POSTS